READDIR(2)

NOM
readdir - Lire une entrée de répertoire

SYNOPSIS
#include <linux/types.h>
#include <linux/dirent.h>

int readdir(unsigned int fd, struct dirent *dirp,
            unsigned int count);

DESCRIPTION
Cette fonction n'est normalement pas intéressante pour les programmeurs. Utilisez readdir(3) pour les fonctionnalités conformes POSIX. Cette page documente l'interface de l'appel système bas niveau, qui peut changer, et qui est remplacée par getdents(2).

readdir() lit une structure dirent depuis le répertoire référencé par le descripteur de fichier fd et la place dans le tampon pointé par dirp. Le paramètre count est ignoré, au plus une structure dirent est lue.

La structure dirent est déclarée comme suit :

struct dirent {
    long     d_ino;                /* numéro d'in